# List of funnels

Retrieves a list of funnels associated with a parent segment identifier and its stages.

Endpoint: GET /audiences/{audienceId}/funnels
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment ID

## Response 200 fields (application/json):

  - `id` (string)

  - `audienceId` (string)

  - `segmentFolderId` (string)

  - `name` (string)

  - `population` (integer,null)
    The latest population of the funnel

  - `description` (string)

  - `numSyndications` (integer)

  - `needToRunWorkflow` (boolean)
    true if need to run workflow to load data

  - `stages` (array)
    funnel stages
    Example: [{"id":"1","name":"Awareness","numSyndication":2,"audienceId":"1","funnelId":"10","segmentFolderId":"30","segmentId":"999"},{"id":"2","name":"Interest","numSyndications":0,"audienceId":"1","funnelId":"10","segmentFolderId":"30","segmentId":""},{"id":"3","name":"Conversion","numSyndications":0,"audienceId":"1","funnelId":"10","segmentFolderId":"30","segmentId":""}]

  - `stages.id` (string)

  - `stages.name` (string)

  - `stages.numSyndications` (integer)

  - `stages.audienceId` (string)

  - `stages.funnelId` (string)

  - `stages.segmentFolderId` (string)

  - `stages.segmentId` (string,null)

  - `createdAt` (string)

  - `updatedAt` (string)

  - `createdBy` (object)

  - `createdBy.id` (string)

  - `createdBy.td_user_id` (string)

  - `createdBy.name` (string)

  - `updatedBy` (object)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


